Main Page Class Hierarchy Compound List File List Compound Members File Members

# Hsum Struct Reference

`#include <read_arc.h>`

List of all members.

## Public Attributes
long | qid
double | ot
float | lat
float | lon
float | z
int | nph
int | gap
int | dmin
float | rms
int | e0az
int | e0dp
float | e0
int | e1az
int | e1dp
float | e1
float | e2
float | erh
float | erz
float | Md
char | reg [4]
char | cdate [20]
char | labelpref
float | Mpref
float | wtpref
char | mdtype
float | mdmad
float | mdwt

## Member Data Documentation

char Hsum::cdate[20]

| Definition at line 65 of file read_arc.h. Referenced by read_hyp().

int Hsum::dmin

| Definition at line 52 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

float Hsum::e0

| Definition at line 56 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

int Hsum::e0az

| Definition at line 54 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

int Hsum::e0dp

| Definition at line 55 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

float Hsum::e1

| Definition at line 59 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

int Hsum::e1az

| Definition at line 57 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

int Hsum::e1dp

| Definition at line 58 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

float Hsum::e2

| Definition at line 60 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

float Hsum::erh

| Definition at line 61 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

float Hsum::erz

| Definition at line 62 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

int Hsum::gap

| Definition at line 51 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

char Hsum::labelpref

| Definition at line 66 of file read_arc.h. Referenced by read_hyp().

float Hsum::lat

| Definition at line 47 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

float Hsum::lon

| Definition at line 48 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

float Hsum::Md

| Definition at line 63 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

float Hsum::mdmad

| Definition at line 70 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

char Hsum::mdtype

| Definition at line 69 of file read_arc.h. Referenced by read_hyp().

float Hsum::mdwt

| Definition at line 71 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

float Hsum::Mpref

| Definition at line 67 of file read_arc.h. Referenced by read_hyp().

int Hsum::nph

| Definition at line 50 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

double Hsum::ot

| Definition at line 46 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

long Hsum::qid

| Definition at line 45 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

char Hsum::reg[4]

| Definition at line 64 of file read_arc.h. Referenced by read_hyp().

float Hsum::rms

| Definition at line 53 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

float Hsum::wtpref

| Definition at line 68 of file read_arc.h. Referenced by read_hyp().

float Hsum::z

| Definition at line 49 of file read_arc.h. Referenced by ArcMsg2EWEvent(), and read_hyp().

The documentation for this struct was generated from the following file:

- read_arc.h